Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libtecla
#Epoch:		0
Version:	1.6.1
Release:	1
License:	as-is	
URL:		http://www.astro.caltech.edu/~mcs/tecla/
Group:		System/Libraries
Summary:	interactive command line editing library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		libtecla-destdir.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel

%description
The tecla library provides UNIX and LINUX programs with interactive command line editing facilities, similar to those of the UNIX tcsh shell. In addition to simple command-line editing, it supports recall of previously entered command lines, TAB completion of file names or other tokens, and in-line wild-card expansion of filenames. The internal functions which perform file-name completion and wild-card expansion are also available externally for optional use by programs.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}
%patch0 -p1

%build
./configure \
--prefix=%{_prefix} \
--disable-debug
#--mandir=%{_mandir} \

# parallel build is broken
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/enhance
%{_libdir}/libtecla_r.so.*
%{_libdir}/libtecla.so.*
%{_mandir}/man1/enhance.1.gz
%{_mandir}/man7/tecla.7.gz

%files devel
%defattr(-,root,root)
%{_includedir}/libtecla.h
%{_libdir}/libtecla.a
%{_libdir}/libtecla_r.a
%{_libdir}/libtecla_r.so
%{_libdir}/libtecla.so
%{_mandir}/man3/cfc_file_start.3.gz
%{_mandir}/man3/cfc_literal_escapes.3.gz
%{_mandir}/man3/cfc_set_check_fn.3.gz
%{_mandir}/man3/cpl_add_completion.3.gz
%{_mandir}/man3/cpl_complete_word.3.gz
%{_mandir}/man3/cpl_file_completions.3.gz
%{_mandir}/man3/cpl_last_error.3.gz
%{_mandir}/man3/cpl_list_completions.3.gz
%{_mandir}/man3/cpl_recall_matches.3.gz
%{_mandir}/man3/cpl_record_error.3.gz
%{_mandir}/man3/del_CplFileConf.3.gz
%{_mandir}/man3/del_ExpandFile.3.gz
%{_mandir}/man3/del_GetLine.3.gz
%{_mandir}/man3/del_PathCache.3.gz
%{_mandir}/man3/del_PcaPathConf.3.gz
%{_mandir}/man3/del_WordCompletion.3.gz
%{_mandir}/man3/ef_expand_file.3.gz
%{_mandir}/man3/ef_last_error.3.gz
%{_mandir}/man3/ef_list_expansions.3.gz
%{_mandir}/man3/gl_abandon_line.3.gz
%{_mandir}/man3/gl_bind_keyseq.3.gz
%{_mandir}/man3/gl_catch_blocked.3.gz
%{_mandir}/man3/gl_change_terminal.3.gz
%{_mandir}/man3/gl_clear_history.3.gz
%{_mandir}/man3/gl_completion_action.3.gz
%{_mandir}/man3/gl_configure_getline.3.gz
%{_mandir}/man3/gl_customize_completion.3.gz
%{_mandir}/man3/gl_display_text.3.gz
%{_mandir}/man3/gl_echo_mode.3.gz
%{_mandir}/man3/gl_erase_terminal.3.gz
%{_mandir}/man3/gl_error_message.3.gz
%{_mandir}/man3/gl_get_line.3.gz
%{_mandir}/man3/gl_group_history.3.gz
%{_mandir}/man3/gl_handle_signal.3.gz
%{_mandir}/man3/gl_ignore_signal.3.gz
%{_mandir}/man3/gl_inactivity_timeout.3.gz
%{_mandir}/man3/gl_io_mode.3.gz
%{_mandir}/man3/gl_last_signal.3.gz
%{_mandir}/man3/gl_limit_history.3.gz
%{_mandir}/man3/gl_list_signals.3.gz
%{_mandir}/man3/gl_load_history.3.gz
%{_mandir}/man3/gl_lookup_history.3.gz
%{_mandir}/man3/gl_normal_io.3.gz
%{_mandir}/man3/gl_pending_io.3.gz
%{_mandir}/man3/gl_prompt_style.3.gz
%{_mandir}/man3/gl_query_char.3.gz
%{_mandir}/man3/gl_range_of_history.3.gz
%{_mandir}/man3/gl_raw_io.3.gz
%{_mandir}/man3/gl_read_char.3.gz
%{_mandir}/man3/gl_register_action.3.gz
%{_mandir}/man3/gl_resize_history.3.gz
%{_mandir}/man3/gl_return_status.3.gz
%{_mandir}/man3/gl_save_history.3.gz
%{_mandir}/man3/gl_set_term_size.3.gz
%{_mandir}/man3/gl_show_history.3.gz
%{_mandir}/man3/gl_size_of_history.3.gz
%{_mandir}/man3/gl_state_of_history.3.gz
%{_mandir}/man3/gl_terminal_size.3.gz
%{_mandir}/man3/gl_toggle_history.3.gz
%{_mandir}/man3/gl_trap_signal.3.gz
%{_mandir}/man3/gl_tty_signals.3.gz
%{_mandir}/man3/gl_watch_fd.3.gz
%{_mandir}/man3/libtecla.3.gz
%{_mandir}/man3/libtecla_version.3.gz
%{_mandir}/man3/new_CplFileConf.3.gz
%{_mandir}/man3/new_ExpandFile.3.gz
%{_mandir}/man3/new_GetLine.3.gz
%{_mandir}/man3/new_PathCache.3.gz
%{_mandir}/man3/new_PcaPathConf.3.gz
%{_mandir}/man3/new_WordCompletion.3.gz
%{_mandir}/man3/pca_last_error.3.gz
%{_mandir}/man3/pca_lookup_file.3.gz
%{_mandir}/man3/pca_path_completions.3.gz
%{_mandir}/man3/pca_scan_path.3.gz
%{_mandir}/man3/pca_set_check_fn.3.gz
%{_mandir}/man3/ppc_file_start.3.gz
%{_mandir}/man3/ppc_literal_escapes.3.gz
%{_mandir}/man5/teclarc.5.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sat Jul 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.6.1-1
- initial CCux package release
